<h1 mat-dialog-title><b>{{ data.title }}</b></h1>
<div mat-dialog-content>
  <p>Listado de incidentes:</p>
  <table mat-table [dataSource]="data.finalData" class="mat-elevation-z8">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->

    <!-- Cedula Column -->
    <ng-container matColumnDef="cedula">
      <th mat-header-cell *matHeaderCellDef> Cedula </th>
      <td mat-cell *matCellDef="let element"> {{element.cedula}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <!-- Nivel Column -->
    <ng-container matColumnDef="nivel">
      <th mat-header-cell *matHeaderCellDef> Nivel </th>
      <td mat-cell *matCellDef="let element"> {{element.nivel}} </td>
    </ng-container>

    <!-- Descripcion Column -->
    <ng-container matColumnDef="description">
      <th mat-header-cell *matHeaderCellDef> Descripción </th>
      <td mat-cell *matCellDef="let element"> {{element.description}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cerrar</button>
</div>
